Subject: bug#3984:

From: Ryan <[email-masked]>
Date: Thu, 19 Sep 2013 22:03:39 -0700

On a related note, what is the proper way to test for the new advice 
system? (featurep 'nadvice)?

Anyway, now that we have a fix for when call-interactively is advised, 
what do you want to do about the case where the called function is 
advised with the innermost advice being around? The only problem we 
really need to solve is being absolutely whether or not a given stack 
frame is the innermost function in an advice stack. The two options that 
I can see are a complete top-down search or modifying around advice so 
that it gives a consistent signature (e.g. by wrapping the advised 
function in a special lambda.

-Ryan